"use strict";
exports.__esModule = true;
exports.useFormHandler = void 0;
var react_1 = require("react");
function useFormHandler() {
    var formData = react_1.useRef({});
    var _a = react_1.useState({}), elementState = _a[0], setElementState = _a[1];
    function formHandler(name, type, setter, validationFunction) {
        formData.current[name] = { type: type, setter: setter, validationFunction: validationFunction };
    }
    function setValue(name, value) {
        formData.current[name].value = value;
    }
    function getValue(name) {
        return formData.current[name].value;
    }
    function checkValidation(name) {
        var _a = formData.current[name], validationFunction = _a.validationFunction, value = _a.value;
        if (!value) {
            return false;
        }
        return validationFunction(value);
    }
    function checkAllElements() {
        var names = Object.keys(formData.current);
        var revalidationErrors = elementState;
        names.forEach(function (name) {
            var elementState = checkValidation(name);
            // revalidationErrors[name] = elementState;
        });
        setElementState(revalidationErrors);
    }
    function handleSubmit(onSuccess, onError) { }
    return {
        formHandler: formHandler
    };
}
exports.useFormHandler = useFormHandler;
